package com.zcloud.primeport.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.primeport.persistence.dataobject.PersonApplyDO;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:22
 */
public interface PersonApplyRepository extends BaseRepository<PersonApplyDO> {
    PageResponse<PersonApplyDO> listPage(Map<String, Object> params);

    PageResponse<PersonApplyDO> xgfPersonPermissionsList(Map<String, Object> params);

    PageResponse<PersonApplyDO> xgfPersonnelVehicleManagementList(Map<String, Object> parmas);

    PersonApplyDO xgfPersonPermissionsInfo(Long id);

    PersonApplyDO getInfoByUserId(Long userId);
}

